Create multiple accounts
Create multiple accounts
POST https://abc.hoola.vn/manage/api/users/create-multi-user
To avoid timeout requests and to make it easier to track results, please only create a maximum of 100 accounts in one query.
The time interval between queries to create multiple accounts should be at least 10 minutes to avoid the case of too many queries that overload the server.
Note: Each item in the users parameter needs to follow this structure.
Query Parameters
Name
Type
Description
token
string
Token xác thực tài khoản của bạn
Request Body
Name
Type
Description
users
array
An array that includes the information about the accounts you want to create.
// Response Code "00". The API will return an array of users and their status.
// Return data:
"respCode": "00",
"users": [
{
"name": "Nguyễn Văn A",
"username": "nguyenvana",
"email": "nguyenvana@abc.com",
"password": "1234567890",
"userId": null,
"success": false,
"status": "Email already in use"
},
{
"name": "Lê Việt B",
"username": "levietb",
"email": "levietb@abc.com",
"password": "1234567890",
"userId": "msnJmaPa7KmtEzz3q",
"success": true,
"status": "Success created"
},
{
"name": "Nguyễn Văn C",
"username": "nguyenvanc",
"email": "nguyenvan@abc.com",
"password": "1234567890",
"userId": "urs2vByNw9ETg9XYZ",
"success": true,
"status": "Success created"
},
{
"name": "Trần Xuân D",
"username": "tranxuand",
"email": "tr@abc.com",
"password": "1234567890",
"userId": "MPC5B5dsdYD9Ak283",
"success": true,
"status": "Success created"
},
{
"name": "Phạm Văn E",
"username": "phamvane",
"email": "phamvane@abc.com",
"password": "1234567890",
"userId": "cc95fXX5PTX5qDR9R",
"success": true,
"status": "Success created"
},
{
"username": "nguyenxuanq",
"email": "nguyenxuanq@abc.com",
"password": "1234567890",
"userId": null,
"success": false,
"status": "Not enough required infomation to create new user"
},
{
"username": "lexuank",
"email": "lexuank@abc.com",
"userId": null,
"success": false,
"status": "Not enough required infomation to create new user"
}
],
"msg": "4 success, 3 error"
}POST https://abc.hoola.vn/manage/api/users/create-single-user
Path Parameters
Name
Type
Description
string
Example:
Last updated